<template>
  <div>
    <v-card width=500 class="picture" outlined>
      <div class="pokemon-container">
        <img class="hidden-pokemon" :src="imgSrc" alt="" />

        <img v-if="mostrarPokemon" class="fade-in" :src="imgSrc" alt="" />
      </div>
    </v-card>
  </div>
</template>

<script>
export default {
  props: {
    idPokemon: {
      type: Number,
      default: 1,
      required: true,
    },
    mostrarPokemon: {
      type: Boolean,
      required: true,
      default: false,
    },
  },

  computed: {
    imgSrc() {
      return `https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/other/dream-world/${this.idPokemon}.svg`;
    },
  },
};
</script>

<style scoped>
/* Pokemon Picture */



.picture{
  margin-left: auto;
  margin-right: auto;
}
.pokemon-container {
  height: 200px;
  display: flex;
  justify-content: center;
}
img {
  height: 200px;
  position: absolute;
  user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-drag: none;
  -webkit-user-select: none;
}

.hidden-pokemon {
  filter: brightness(0);
}
</style>